Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064502 - [abrt] qjackctl: QProcess::exitCode(): qjackctl killed by SIGSEGV
Summary: [abrt] qjackctl: QProcess::exitCode(): qjackctl killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qjackctl
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fernando Lopez-Lezcano
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:366b258619d36d0fd014305c030...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 17:49 UTC by Marc Mendez
Modified: 2015-06-29 15:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:10:05 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: cgroup (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: core_backtrace (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: dso_list (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: environ (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: exploitable (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: limits (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: maps (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: open_fds (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: proc_pid_status (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details
File: var_log_messages (deleted)
2014-02-12 17:49 UTC, Marc Mendez
no flags Details

Description Marc Mendez 2014-02-12 17:49:01 UTC
Description of problem:
Stopping jackd from the interface after a home-made audio app crashed.

Version-Release number of selected component:
qjackctl-0.3.10-2.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/qjackctl
crash_function: QProcess::exitCode
executable:     /usr/bin/qjackctl
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QProcess::exitCode at io/qprocess.cpp:2121
 #1 qjackctlMainForm::jackCleanup at qjackctlMainForm.cpp:1455
 #2 qjackctlMainForm::stopJackServer at qjackctlMainForm.cpp:1354
 #3 qjackctlMainForm::queryClose at qjackctlMainForm.cpp:831
 #4 qjackctlMainForm::closeEvent at qjackctlMainForm.cpp:841
 #5 QWidget::event at kernel/qwidget.cpp:8545
 #6 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4562
 #7 QApplication::notify at kernel/qapplication.cpp:4348
 #8 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:949
 #9 sendEvent at ../../src/corelib/kernel/qcoreapplication.h:231

Potential duplicate: bug 705951

Comment 1 Marc Mendez 2014-02-12 17:49:06 UTC
Created attachment 862465 [details]
File: backtrace

Comment 2 Marc Mendez 2014-02-12 17:49:08 UTC
Created attachment 862466 [details]
File: cgroup

Comment 3 Marc Mendez 2014-02-12 17:49:10 UTC
Created attachment 862467 [details]
File: core_backtrace

Comment 4 Marc Mendez 2014-02-12 17:49:12 UTC
Created attachment 862468 [details]
File: dso_list

Comment 5 Marc Mendez 2014-02-12 17:49:14 UTC
Created attachment 862469 [details]
File: environ

Comment 6 Marc Mendez 2014-02-12 17:49:16 UTC
Created attachment 862470 [details]
File: exploitable

Comment 7 Marc Mendez 2014-02-12 17:49:18 UTC
Created attachment 862471 [details]
File: limits

Comment 8 Marc Mendez 2014-02-12 17:49:21 UTC
Created attachment 862472 [details]
File: maps

Comment 9 Marc Mendez 2014-02-12 17:49:23 UTC
Created attachment 862473 [details]
File: open_fds

Comment 10 Marc Mendez 2014-02-12 17:49:25 UTC
Created attachment 862474 [details]
File: proc_pid_status

Comment 11 Marc Mendez 2014-02-12 17:49:28 UTC
Created attachment 862475 [details]
File: var_log_messages

Comment 12 Frederick.Bartlett 2014-08-11 02:57:39 UTC
Another user experienced a similar problem:

I cannot run qsynth with any other sound application. So I fire up qjackctl and qsynth before using Frescobaldi to play midi scores.

This time, I happened to close and restart Frescobaldi. The second time, there was no sound. Upon restarting qjackctl, I got the various errors reported here.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/qjackctl
crash_function: QProcess::exitCode
executable:     /usr/bin/qjackctl
kernel:         3.15.8-200.fc20.x86_64
package:        qjackctl-0.3.10-2.fc20
reason:         qjackctl killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 John Williams 2014-10-12 14:19:08 UTC
Another user experienced a similar problem:

Starting jack before starting Musescore

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/qjackctl
crash_function: QProcess::exitCode
executable:     /usr/bin/qjackctl
kernel:         3.16.3-200.fc20.x86_64
package:        qjackctl-0.3.10-2.fc20
reason:         qjackctl killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Frederick.Bartlett 2014-10-25 19:17:45 UTC
Another user experienced a similar problem:

Running Firefox while Jack is running will do it; in this case, however, it simply died after having been left up for about 2 days.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/qjackctl
crash_function: QProcess::exitCode
executable:     /usr/bin/qjackctl
kernel:         3.16.3-200.fc20.x86_64
package:        qjackctl-0.3.10-2.fc20
reason:         qjackctl killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2015-05-29 10:54:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 15:10:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.